在 Linux 操作系统上安装和配置 Flutter 开发环境

640?wx_fmt=jpeg

本文为 Linux 开发环境在 Windows 下安装全过程:

一、系统配置要求

要想安装和运行 Flutter,你的开发环境至少应该满足如下的需求:

  • 操作系统: Linux (64 位)

  • 磁盘空间: 600MB (不包含安装 IDE 和其他工具的空间)

  • 命令工具: Flutter 需要你的开发环境中已经配置了以下命令行工具。

    • bash

    • curl

    • git 2.x

    • mkdir

    • rm

    • unzip

    • which

    • xz-utils

  • 公用库: Flutter 的 test 命令需要你的系统安装或存在如下的公用库。

    • libGLU.so.1 - 由 mesa 套件 (packages) 提供,比如 Ubuntu/Debian 系统下的 libglu1-mesa

二、获取 Flutter SDK

1. 下载以下安装包来获取最新的稳定渠道 Flutter SDK:

目前稳定渠道发布的 Flutter 版本为 v1.5,Dev 渠道发布的 Flutter 版本为 v1.7.11,下载链接可以在 SDK 下载页面查看:

https://flutter-io.cn/docs/development/tools/sdk/releases

2. 将文件解压到目标路径, 比如:

$ cd ~/development
$ tar xf ~/Downloads/flutter_linux_v1.5.4-hotfix.2-stable.tar.xz

3. 配置 flutter 的 PATH 环境变量:

$ export PATH="$PATH:`pwd`/flutter/bin"

这个命令配置了 PATH 环境变量,且只会在你 当前 命令行窗口中生效。如果想让它永久生效,请查看更新 PATH 环境变量。

4. 开发二进制文件预下载(可选操作)

flutter 命令行工具会下载不同平台的开发二进制文件,如果需要一个封闭式的构建环境,或在网络可用性不稳定的情况下使用等情况,你可能需要通过下面这个命令预先下载 iOS 和 Android 的开发二进制文件:

$ flutter precache

更多使用方式,请使用 flutter help precache 命令查看。

现在你可以愉快地运行 Flutter 的命令行啦!

备忘

如果想要升级当前的 Flutter 版本,可以查看 升级 Flutter。

2.1 运行 flutter doctor 命令

通过运行以下命令来查看当前环境是否需要安装其他的依赖(如果想查看更详细的输出,增加一个 -v 参数即可):


 

这个命令会检查你当前的配置环境,并在命令行窗口中生成一份报告。 安装 Flutter 会附带安装 Dart SDK,所以不需要再对 Dart 进行单独安装。 你需要仔细阅读上述命令生成的报告,看看别漏了一些需要安装的依赖, 或者需要之后执行的命令(这个会以 加粗的文本 显示出来)。

比如你可能会看到下面这样的输出:

之后的部分会向你描述如果执行这些命令来完成整体的配置过程。

当你安装了任一缺失部分的依赖后,可以再次运行 flutter doctor 命令来确认是否成功安装。

flutter 工具使用了 Google Analytics 来对基本使用情况和崩溃报告进行匿名的统计。这些数据用来帮助改善 Flutter 工具。在第一次运行或者任何涉及到 flutter config 的信息都不会进行发送,所以你可以在发送分析数据之前选择禁止分析数据的统计。要禁用这一功能,只需要输入 flutter config --no-analytics 即可,想要查看当前设置使用命令 flutter config 即可。你可以在 Google 隐私政策中查看更详细的内容。

2.2 更新 PATH 环境变量

正如获取 Flutter SDK 一文中所展示你可以仅仅在当前命令行会话中更新你的 PATH 环境变量。但你也许想让这个配置永久生效,这样就可以在任意一个命令行会话中使用 flutter 命令了。

以下配置环境变量让其永久生效的方法在不同的机器上有略微的差别。基本上方法都是在某一个文件中增加一句命令,让它在每次新的命令行窗口打开时都执行一遍。比如:

1. 首先决定你想要将 Flutter SDK 放置在哪一个目录内,获取并记录这个目录的路径,你将要在第 3 步中用到它。

2. 打开(或者创建)$HOME/.bash_profile,这里的路径和文件名在你的机器上可能会有所不同。

3. 在文件中增加下列这行命令,并将其中的 [PATH_TO_FLUTTER_GIT_DIRECTORY] 更改为你第一步获取到的路径:

$ export PATH="$PATH:[PATH_TO_FLUTTER_GIT_DIRECTORY]/flutter/bin"

4. 运行 source $HOME/.bash_profile 来刷新当前命令行窗口。

5. 通过运行以下命令来验证 flutter/bin 文件夹是否已经添加到 PATH 环境变量中:

$	
 echo $PATH

详细内容,请查看 StackExchange :https://unix.stackexchange.com/questions/26047/how-to-correctly-add-a-path-to-path。

三、设置 Android 开发环境

备忘

Flutter 依赖 Android Studio 的全量安装来为其提供 Android 平台的支持。 但你也可以使用其他的编辑器来写 Flutter 应用,稍后会说明讨论这个问题。

3.1 安装 Android Studio

1. 下载并安装 Android Studio。

下载连接:https://developer.android.google.cn/studio

2. 运行 Android Studio,并进入 ‘Android Studio Setup Wizard’,这会安装最新的 Android SDK, Android SDK Platform-Tools 以及 Android SDK Build-Tools,这些都是在开发 Android Flutter 应用时所需要的。

3.2 配置 Android 设备

在 Android 设备上运行或测试 Flutter 应用之前,你需要一个运行 Android 4.1(API 版本 16)或者更高的设备。

1. 在设备上打开 Developer options 和 USB debugging 选项,详细方法介绍请查看 Android documentation:https://developer.android.google.cn/studio/debug/dev-options。

2. 如果是在 Windows 平台上使用,需要安装 Google USB Driver。

下载链接:https://developer.android.google.cn/studio/run/win-usb

3. 通过 USB 接口连接手机和电脑,如果在设备上弹出需要授权弹窗,允许授权以便让电脑能够访问你的开发设备。

4. 在命令行中,使用 flutter devices 命令来确保 Flutter 能够识别出你所连接的 Android 设备。

默认情况下,Flutter 会使用当前版本 adb 工具所依赖的 Android SDK 版本,如果你想让 Flutter 使用别的 Android SDK,你可以通过设置 ANDROID_HOME 环境变量来达到目的。

3.3 配置 Android 模拟器

根据以下步骤来将 Flutter 应用运行或测试于你的 Android 模拟器上:

1. 激活机器上的 VM acceleration 选项。

2. 启动 Android Studio > Tools > Android > AVD Manager,然后选择 Create Virtual Device 选项。(只有在 Android 项目中才会显示 Android 子选项。)

3. 选择相应的设备并选择 Next 选项。

4. 选择一个或多个你想要模拟的 Android 版本的系统镜像,然后选择 Next 选项。推荐选择 x86 或者 x86_64 镜像。

5. 在 Emulated Performance 下选择 Hardware - GLES 2.0 选项来开启硬件加速。

6. 确保 AVD 选项配置正确,并选择 Finish 选项。

查看上述步骤的更多详细信息,请查看 Managing AVDs:https://developer.android.google.cn/studio/run/managing-avds。

7. 在 Android Virtual Device Manager 中,点击工具栏中的 Run 选项,模拟器会启动并为你所选择的系统版本和设备显示出相应的界面。

640?wx_fmt=gif

相关推荐
©️2020 CSDN 皮肤主题: Age of Ai 设计师:meimeiellie 返回首页